> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cria uma area de cobertura



## OpenAPI

````yaml https://logistic-ms.supergasbras.app/swagger/v1/swagger.json post /v1/dealers/{dealerId}/coverage-areas
openapi: 3.0.1
info:
  title: CTech Logistic 1.0
  description: Service responsible for handling logistic
  version: '1.0'
servers: []
security:
  - Bearer: []
tags:
  - name: CoverageAreas
    description: Area de cobertura
  - name: DealerCoverageAreas
    description: Area de cobertura do Dealer
  - name: Infrastructure
    description: Infraestrutura
paths:
  /v1/dealers/{dealerId}/coverage-areas:
    post:
      tags:
        - DealerCoverageAreas
      summary: Cria uma area de cobertura
      parameters:
        - name: dealerId
          in: path
          description: Identificador do dealer
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Dados de criação
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCoverageAreaCommand'
      responses:
        '201':
          description: Created
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IdentityDtoIDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IdentityDtoIDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IdentityDtoIDataResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IErrorDataResponse'
components:
  schemas:
    CreateCoverageAreaCommand:
      type: object
      properties:
        dealerId:
          type: string
          description: Identificador do Dealer
          format: uuid
          example: cbe566b9-035a-41f7-b000-10fc87c46e1a
        name:
          type: string
          description: Nome da area de cobertura
          nullable: true
          example: Pinheiros
        mapLink:
          type: string
          description: Link do mapa da area de cobertura
          nullable: true
          example: >-
            https://www.google.com/maps/d/u/0/edit?mid=1IcMOorIOXXsr5wHedda6uEHkZe-bgco
      additionalProperties: false
    IdentityDtoIDataResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/IdentityDto'
      additionalProperties: false
    IErrorDataResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
          nullable: true
          readOnly: true
      additionalProperties: false
    IdentityDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
      additionalProperties: false
    ErrorData:
      type: object
      properties:
        code:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````